# Method: projects.datasets.patch

- [HTTP request](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/patch#body.request_body)
- [Response body](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/patch#body.response_body)
- [Authorization Scopes](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/patch#body.aspect)
- [IAM Permissions](https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets/patch#body.aspect_1)

Update the metadata for the dataset.

### HTTP request

`PATCH https://mapsplatformdatasets.googleapis.com/v1alpha/{dataset.name=projects/*/datasets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `dataset.name` | `string` Resource name, projects/{project}/datasets/{dataset_id} |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.FieldMask` format)`` The list of fields to be updated. Support the value "\*" for full replacement. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets#Dataset`. You can only update the `displayName` and `description` properties.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/maps/tt/dds/maps-datasets/reference/rest/v1alpha/projects.datasets#Dataset`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `mapsplatformdatasets.datasets.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).